Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Interceptor_List Class Reference

Base class for portable interceptor lists. More...

`#include <Interceptor_List.h>`

Inheritance diagram for TAO_Interceptor_List:

[legend]
List of all members.

## Public Methods
| TAO_Interceptor_List (void)
| Constructor.
virtual | ~TAO_Interceptor_List (void)
| Destructor.
## Protected Methods
size_t | add_interceptor_i (PortableInterceptor::Interceptor_ptr interceptor ACE_ENV_ARG_DECL) throw (CORBA::SystemException, PortableInterceptor::ORBInitInfo::DuplicateName)
| Register an in interceptor with interceptor list.
virtual size_t | length (void)=0
| Return the length of the underlying interceptor sequence.
virtual void | length (size_t)=0
| Set the length of the underlying interceptor sequence.
virtual PortableInterceptor::Interceptor_ptr | interceptor (size_t index)=0
| Return the interceptor in sequence element <index>.

## Detailed Description

Base class for portable interceptor lists.

Base class for the various portable interceptor lists used internally by TAO.

## Constructor & Destructor Documentation

TAO_Interceptor_List::TAO_Interceptor_List | ( | void |  | ) |

| Constructor.

TAO_Interceptor_List::~TAO_Interceptor_List | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

size_t TAO_Interceptor_List::add_interceptor_i | ( | PortableInterceptor::Interceptor_ptr interceptor | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, PortableInterceptor::ORBInitInfo::DuplicateName)`[protected]`

| Register an in interceptor with interceptor list.

virtual PortableInterceptor::Interceptor_ptr TAO_Interceptor_List::interceptor | ( | size_t | index | ) | `[protected, pure virtual]`

| Return the interceptor in sequence element <index>. Implemented in TAO_ClientRequestInterceptor_List, and TAO_ServerRequestInterceptor_List.

virtual void TAO_Interceptor_List::length | ( | size_t |  | ) | `[protected, pure virtual]`

| Set the length of the underlying interceptor sequence. Implemented in TAO_ClientRequestInterceptor_List, and TAO_ServerRequestInterceptor_List.

virtual size_t TAO_Interceptor_List::length | ( | void |  | ) | `[protected, pure virtual]`

| Return the length of the underlying interceptor sequence. Implemented in TAO_ClientRequestInterceptor_List, and TAO_ServerRequestInterceptor_List.

The documentation for this class was generated from the following files:

- Interceptor_List.h
- Interceptor_List.cpp